Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357898 - Undefined symbols in GEGL 0.3.6-1
Summary: Undefined symbols in GEGL 0.3.6-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gegl03
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 14:16 UTC by Cezary Zemis
Modified: 2016-08-10 07:24 UTC (History)
3 users (show)

Fixed In Version: gegl03-0.3.8-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 07:24:24 UTC


Attachments (Terms of Use)

Description Cezary Zemis 2016-07-19 14:16:52 UTC
Description of problem:
GIMP-2.9 (Unstable) does not start since gegl03 update from gegl03-0.3.5-0.1.gitbb8fe84f2801.fc24.x86_64 to gegl03-devel-0.3.6-1.fc24.x86_64


Version-Release number of selected component (if applicable):
gegl03-devel-0.3.6-1.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. install GIMP-2.9 (Unstable) from https://copr-be.cloud.fedoraproject.org/results/nphilipp/gimp-unstable/fedora-$releasever-$basearch/
2. run 'gimp-2.9' from console


Actual results:
Error message from GIPM and the following output on the text console:
[pasiasty@lilith3-localdomain x86_64]$ gimp-2.9
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/gblur-1d.so' load error: /usr/lib64/gegl-0.3/gblur-1d.so: undefined symbol: _ZGVbN2v___exp_finite
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/fattal02.so' load error: /usr/lib64/gegl-0.3/fattal02.so: undefined symbol: _ZGVbN4vv___powf_finite
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/bilateral-filter.so' load error: /usr/lib64/gegl-0.3/bilateral-filter.so: undefined symbol: _ZGVbN2v___exp_finite
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/gaussian-blur-selective.so' load error: /usr/lib64/gegl-0.3/gaussian-blur-selective.so: undefined symbol: _ZGVbN2v___exp_finite
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/softglow.so' load error: /usr/lib64/gegl-0.3/softglow.so: undefined symbol: _ZGVbN2v___exp_finite
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/exposure.so' load error: /usr/lib64/gegl-0.3/exposure.so: undefined symbol: _ZGVbN4vv___powf_finite
GEGL-geglmodule.c-Message: Module '/usr/lib64/gegl-0.3/gaussian-blur.so' load error: /usr/lib64/gegl-0.3/gaussian-blur.so: undefined symbol: _ZGVbN2v___exp_finite

Expected results:
gimp-2.9 running as when gegl03-0.3.5-0.1.gitbb8fe84f2801.fc24.x86_64 is installed

Comment 1 Nils Philippsen 2016-07-31 21:44:35 UTC
Hi Cezary,

please check out the updated gimp-unstable and gegl03/babl packages. The gimp-unstable package for version 2.9.4 is available from COPR:

https://copr.fedorainfracloud.org/coprs/nphilipp/gimp-unstable/

I've submitted the necessary babl and gegl03 versions as updates, they should be pushed to testing shortly, you can download them from koji in the interim, see the description in COPR.

Comment 2 Fedora Update System 2016-07-31 21:47:08 UTC
gegl03-0.3.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4962347737

Comment 3 Cezary Zemis 2016-08-01 10:45:23 UTC
Hi Nils,

The newest GIMP on COPR is still 2.9.2. It doesn't even start with gegl03-0.3.8-1 - I've tried with both downloaded rawhide binary and rebuilt RPM: 

[pasiasty@lilith3-localdomain ~]$ gimp-2.9
/opt/gimp-2.9/bin/gimp-2.9: symbol lookup error: /opt/gimp-2.9/bin/gimp-2.9: undefined symbol: gegl_param_multiline_get_type

Comment 4 Cezary Zemis 2016-08-01 10:52:31 UTC
(In reply to Cezary Zemis from comment #3)
> Hi Nils,
> 
> The newest GIMP on COPR is still 2.9.2. It doesn't even start with
> gegl03-0.3.8-1 - I've tried with both downloaded rawhide binary and rebuilt
> RPM: 
> 
> [pasiasty@lilith3-localdomain ~]$ gimp-2.9
> /opt/gimp-2.9/bin/gimp-2.9: symbol lookup error: /opt/gimp-2.9/bin/gimp-2.9:
> undefined symbol: gegl_param_multiline_get_type

Same with Koji's binaries (http://koji.fedoraproject.org/koji/buildinfo?buildID=786939).

Comment 5 Cezary Zemis 2016-08-01 13:24:09 UTC
(In reply to Cezary Zemis from comment #4)
> (In reply to Cezary Zemis from comment #3)
> > Hi Nils,
> > 
> > The newest GIMP on COPR is still 2.9.2. It doesn't even start with
> > gegl03-0.3.8-1 - I've tried with both downloaded rawhide binary and rebuilt
> > RPM: 
> > 
> > [pasiasty@lilith3-localdomain ~]$ gimp-2.9
> > /opt/gimp-2.9/bin/gimp-2.9: symbol lookup error: /opt/gimp-2.9/bin/gimp-2.9:
> > undefined symbol: gegl_param_multiline_get_type
> 
> Same with Koji's binaries
> (http://koji.fedoraproject.org/koji/buildinfo?buildID=786939).

Got GIPM 2.9.4 - now it works (i.e. no undefined symbols in GEGL).

Comment 6 Fedora Update System 2016-08-01 20:57:29 UTC
gegl03-0.3.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4962347737

Comment 7 Fedora Update System 2016-08-10 07:24:21 UTC
gegl03-0.3.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.